Merge lp:~zulcss/heat/ubuntu-refresh into lp:~openstack-ubuntu-testing/heat/havana

Proposed by Chuck Short on 2013-06-10
Status: Needs review
Proposed branch: lp:~zulcss/heat/ubuntu-refresh
Merge into: lp:~openstack-ubuntu-testing/heat/havana
Diff against target: 1274 lines (+192/-744)
43 files modified
debian/changelog (+46/-1)
debian/control (+12/-12)
debian/gbp.conf (+0/-9)
debian/heat-api-cfn.config.in (+0/-15)
debian/heat-api-cfn.init (+0/-87)
debian/heat-api-cfn.install (+1/-2)
debian/heat-api-cfn.manpages (+0/-1)
debian/heat-api-cfn.postinst.in (+0/-20)
debian/heat-api-cfn.templates (+0/-20)
debian/heat-api-cfn.upstart (+11/-0)
debian/heat-api-cloudwatch.config.in (+0/-14)
debian/heat-api-cloudwatch.init (+0/-87)
debian/heat-api-cloudwatch.install (+1/-2)
debian/heat-api-cloudwatch.manpages (+0/-1)
debian/heat-api-cloudwatch.postinst.in (+0/-20)
debian/heat-api-cloudwatch.templates (+0/-20)
debian/heat-api-cloudwatch.upstart (+11/-0)
debian/heat-api.config.in (+0/-16)
debian/heat-api.init (+0/-87)
debian/heat-api.install (+0/-1)
debian/heat-api.manpages (+0/-1)
debian/heat-api.postinst.in (+0/-25)
debian/heat-api.templates (+0/-61)
debian/heat-api.upstart (+11/-0)
debian/heat-common.dirs (+3/-0)
debian/heat-common.install (+7/-0)
debian/heat-common.manpages (+0/-1)
debian/heat-common.postinst (+22/-0)
debian/heat-common.postinst.in (+0/-18)
debian/heat-engine.config.in (+0/-14)
debian/heat-engine.init (+0/-87)
debian/heat-engine.install (+1/-1)
debian/heat-engine.manpages (+0/-1)
debian/heat-engine.postinst.in (+0/-23)
debian/heat-engine.templates (+0/-17)
debian/heat-engine.upstart (+11/-0)
debian/patches/fix-package-version-detection-when-building-doc.patch (+0/-27)
debian/patches/fix-ubuntu-configuration.patch (+47/-0)
debian/patches/removes-lxml-version-limitation-from-pip-requires.patch (+0/-18)
debian/patches/series (+1/-2)
debian/pydist-overrides (+1/-0)
debian/rules (+3/-32)
debian/watch (+3/-1)
To merge this branch: bzr merge lp:~zulcss/heat/ubuntu-refresh
Reviewer Review Type Date Requested Status
Openstack Ubuntu Testers 2013-06-10 Pending
Review via email: mp+168517@code.launchpad.net
To post a comment you must log in.

Unmerged revisions

24. By Chuck Short on 2013-06-10

Fix manpages one more time

23. By Chuck Short on 2013-06-10

debian/*.manpages: Install the correct manpages

22. By Chuck Short on 2013-06-10

debian/*.manpages: Install the right manpages.

21. By Chuck Short on 2013-06-10

debian/*.install: Install the configration files into the right places.

20. By Chuck Short on 2013-06-10

debian/heat-common.install: Add missing files.

19. By Chuck Short on 2013-06-10

debian/removes-lxml-version-limitation-from-pip-requires.patch: Dropped no
longer needed.

18. By Chuck Short on 2013-06-10

debian/heat-common.postinst: Add common configration stuff.

17. By Chuck Short on 2013-06-10

heat-engine}.postinst.in: Dropped not used in Ubuntu.
* debian/{heat-api-cfn, heat-api-cloudwatch, heat-api,

16. By Chuck Short on 2013-06-10

  - Dropped openstack-pkg configuration.
  - Run testr init and testr run by hand.

15. By Chuck Short on 2013-06-10

* debian/rules:
  - Dropped sed of configuration files.
* debian/watch: Update to point to launchpad source
* debian/pydist-overrides: Override python-argparse
* debian/patches/fix-ubuntu-configuration.patch: Update configruation files
  to use kombu rpc backend.
* debian/patches/fix-package-version-detection-when-building-doc.patch: Dropped
  no longer needed.

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'debian/changelog'
2--- debian/changelog 2013-06-07 15:04:17 +0000
3+++ debian/changelog 2013-06-10 18:48:25 +0000
4@@ -1,7 +1,52 @@
5-heat (2013.1-4ubuntu1) UNRELEASED; urgency=low
6+heat (2013.2.a50.g9f40fa3-0ubuntu1) UNRELEASED; urgency=low
7
8+ [ Yolanda Robla ]
9 * debian/tests: added autopkg tests
10
11+ [ Chuck Short ]
12+ * New upstream release.
13+ * Update maintainer.
14+ * debian/control:
15+ - Dropped python-argparse from build-deps.
16+ - Dropped pep8 from build-deps
17+ - Dropped python-nose and python-nosexcover from build-deps.
18+ - Dropped python-pycryptopp from build-deps.
19+ - Added python-d2to1 and python-pbr to build-depends.
20+ - Added python-six to build-depends.
21+ - Added python-testtools and testrepository to build-depends.
22+ - Bump standards-version to 3.9.4
23+ - Dropped openstack-pkg-tools
24+ - Dropped dbconfig-common from heat-common.
25+ * debian/rules:
26+ - Dropped sed of configuration files.
27+ - Dropped openstack-pkg configuration.
28+ - Run testr init and testr run by hand.
29+ * debian/{heat-api-cfn, heat-api-cloudwatch, heat-api-tempates,
30+ heat-enginge}.templates: Dropped not used in Ubuntu.
31+ * debian/{heat-api-cfn, heat-api-cloudwatch, heat-api-tempates,
32+ heat-enginge}.config.in: Dropped not used in Ubuntu.
33+ * debian/{heat-api-cfn, heat-api-cloudwatch, heat-api,
34+ heat-engine}.postinst.in: Dropped not used in Ubuntu.
35+ * debian/{heat-api-cfn, heat-api-cloudwatch, heat-api,
36+ heat-engine}.init: Dropped replaced with..
37+ * debian/{heat-api-cfn, heat-api-cloudwatch, heat-api,
38+ heat-engine}.upstart: Create upstart jobs.
39+ * debian/heat-common.dirs: Add directories that we need
40+ to be created.
41+ * debian/gpb.conf: Dropped no longer needed.
42+ * debian/watch: Update to point to launchpad source
43+ * debian/pydist-overrides: Override python-argparse
44+ * debian/patches/fix-ubuntu-configuration.patch: Update configruation files
45+ to use kombu rpc backend.
46+ * debian/patches/fix-package-version-detection-when-building-doc.patch: Dropped
47+ no longer needed.
48+ * debian/removes-lxml-version-limitation-from-pip-requires.patch: Dropped no
49+ longer needed.
50+ * debian/heat-common.postinst: Add common configration stuff.
51+ * debian/heat-common.install: Add missing files.
52+ * debian/*.install: Install the configration files into the right places.
53+ * debian/*.manpages: Install the correct manpages
54+
55 -- Yolanda Robla <yolanda.robla@canonical.com> Fri, 07 Jun 2013 17:02:11 +0200
56
57 heat (2013.1-4) unstable; urgency=low
58
59=== modified file 'debian/control'
60--- debian/control 2013-06-07 15:04:17 +0000
61+++ debian/control 2013-06-10 18:48:25 +0000
62@@ -1,7 +1,8 @@
63 Source: heat
64 Section: web
65 Priority: optional
66-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
67+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
68+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
69 Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
70 Julien Danjou <acid@debian.org>,
71 Thomas Goirand <zigo@debian.org>,
72@@ -9,15 +10,14 @@
73 Mehdi Abaakouk <sileht@sileht.net>
74 Build-Depends: debhelper (>= 9),
75 po-debconf,
76- python-all (>= 2.6.6-3~),
77- openstack-pkg-tools (>= 4)
78-Build-Depends-Indep: pep8 (>= 1.3.3),
79- python-argparse,
80+ python-all (>= 2.6.6-3~)
81+Build-Depends-Indep:
82 python-babel,
83 python-boto,
84 python-cinderclient,
85 python-coverage,
86 python-crypto,
87+ python-d2to1,
88 python-eventlet (>= 0.9.16),
89 python-extras,
90 python-glanceclient,
91@@ -30,25 +30,26 @@
92 python-memcache,
93 python-migrate,
94 python-mox,
95- python-nose,
96- python-nosexcover,
97 python-novaclient,
98 python-oslo.config,
99 python-paste,
100 python-pastedeploy,
101 python-paramiko,
102- python-pycryptopp,
103+ python-pbr,
104 python-qpid,
105 python-quantumclient,
106 python-routes,
107 python-sendfile,
108 python-setuptools,
109+ python-six,
110 python-sphinx,
111 python-sqlalchemy (>= 0.7.8),
112+ python-testtools,
113 python-swiftclient,
114 python-webob,
115- python-yaml
116-Standards-Version: 3.9.3
117+ python-yaml,
118+ testrepository
119+Standards-Version: 3.9.4
120 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
121 Vcs-Git: git://anonscm.debian.org/openstack/heat.git
122 Homepage: http://wiki.openstack.org/Heat
123@@ -59,7 +60,6 @@
124 Architecture: all
125 Pre-Depends: dpkg (>= 1.15.6~)
126 Depends: ${python:Depends}, ${misc:Depends},
127- python-argparse,
128 python-boto,
129 python-cinderclient,
130 python-crypto,
131@@ -99,7 +99,7 @@
132 Package: heat-common
133 Architecture: all
134 Pre-Depends: dpkg (>= 1.15.6~)
135-Depends: dbconfig-common, ${python:Depends}, ${misc:Depends}, python-heat (=${binary:Version}),
136+Depends: ${python:Depends}, ${misc:Depends}, python-heat (=${binary:Version}),
137 adduser
138 Description: OpenStack orchestration service - common files
139 Heat is a service to orchestrate multiple composite cloud applications using
140
141=== removed file 'debian/gbp.conf'
142--- debian/gbp.conf 2013-05-29 17:36:41 +0000
143+++ debian/gbp.conf 1970-01-01 00:00:00 +0000
144@@ -1,9 +0,0 @@
145-[DEFAULT]
146-upstream-branch = master
147-debian-branch = debian/unstable
148-upstream-tag = %(version)s
149-compression = xz
150-
151-[git-buildpackage]
152-export-dir = ../build-area/
153-#cleaner = true
154
155=== removed file 'debian/heat-api-cfn.config.in'
156--- debian/heat-api-cfn.config.in 2013-05-29 17:36:41 +0000
157+++ debian/heat-api-cfn.config.in 1970-01-01 00:00:00 +0000
158@@ -1,15 +0,0 @@
159-#!/bin/sh
160-
161-set -e
162-
163-. /usr/share/debconf/confmodule
164-
165-API_CONF=/etc/heat/heat-api-cfn.conf
166-APIPASTE_CONF=/etc/heat/heat-api-cfn-paste.ini
167-
168-#PKGOS-INCLUDE#
169-
170-pkgos_var_user_group heat
171-pkgos_read_admin_creds ${APIPASTE_CONF} filter:authtoken heat
172-
173-exit 0
174
175=== removed file 'debian/heat-api-cfn.init'
176--- debian/heat-api-cfn.init 2013-05-29 17:36:41 +0000
177+++ debian/heat-api-cfn.init 1970-01-01 00:00:00 +0000
178@@ -1,87 +0,0 @@
179-#!/bin/sh
180-### BEGIN INIT INFO
181-# Provides: heat-api-cfn
182-# Required-Start: $network $local_fs $remote_fs $syslog
183-# Required-Stop: $remote_fs
184-# Default-Start: 2 3 4 5
185-# Default-Stop: 0 1 6
186-# Short-Description: Heat CFN API
187-# Description: Heat CFN API server
188-### END INIT INFO
189-
190-# Author: Thomas Goirand <zigo@debian.or>
191-
192-# PATH should only include /usr/* if it runs after the mountnfs.sh script
193-PATH=/sbin:/usr/sbin:/bin:/usr/bin
194-DESC="Heat API"
195-NAME=heat-api-cfn
196-DAEMON=/usr/bin/heat-api-cfn
197-PIDFILE=/var/run/$NAME.pid
198-SCRIPTNAME=/etc/init.d/$NAME
199-SYSTEM_USER=heat
200-
201-# Exit if the package is not installed
202-[ -x $DAEMON ] || exit 0
203-
204-. /lib/lsb/init-functions
205-
206-if [ ! -e /var/log/heat ] ; then
207- mkdir -p /var/log/heat
208- chown ${SYSTEM_USER} /var/log/heat
209-fi
210-
211-do_start () {
212- start-stop-daemon --start --background --quiet --chuid ${SYSTEM_USER}:${SYSTEM_USER} --make-pidfile --pidfile $PIDFILE --startas $DAEMON --test > /dev/null || return 1
213- start-stop-daemon --start --background --quiet --chuid ${SYSTEM_USER}:${SYSTEM_USER} --make-pidfile --pidfile $PIDFILE --startas $DAEMON || return 2
214-}
215-
216-do_stop () {
217- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
218- RETVAL="$?"
219- rm -f $PIDFILE
220- return "$RETVAL"
221-}
222-
223-case "$1" in
224- start)
225- log_daemon_msg "Starting $DESC" "$NAME"
226- do_start
227- case "$?" in
228- 0|1) log_end_msg 0 ;;
229- 2) log_end_msg 1 ;;
230- esac
231- ;;
232- stop)
233- log_daemon_msg "Stopping $DESC" "$NAME"
234- do_stop
235- case "$?" in
236- 0|1) log_end_msg 0 ;;
237- 2) log_end_msg 1 ;;
238- esac
239- ;;
240- status)
241- status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
242- ;;
243- restart|force-reload)
244- log_daemon_msg "Restarting $DESC" "$NAME"
245- do_stop
246- case "$?" in
247- 0|1)
248- do_start
249- case "$?" in
250- 0) log_end_msg 0 ;;
251- 1) log_end_msg 1 ;; # Old process is still running
252- *) log_end_msg 1 ;; # Failed to start
253- esac
254- ;;
255- *)
256- # Failed to stop
257- log_end_msg 1
258- ;;
259- esac
260- ;;
261- *)
262- echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
263- exit 3
264- ;;
265-esac
266
267=== modified file 'debian/heat-api-cfn.install'
268--- debian/heat-api-cfn.install 2013-05-29 17:36:41 +0000
269+++ debian/heat-api-cfn.install 2013-06-10 18:48:25 +0000
270@@ -1,3 +1,2 @@
271-etc/heat/heat-api-cfn.conf
272-etc/heat/heat-api-cfn-paste.ini /usr/share/heat-api-cfn
273+etc/heat/heat-api-cfn.conf etc/heat
274 usr/bin/heat-api-cfn
275
276=== added file 'debian/heat-api-cfn.manpages'
277--- debian/heat-api-cfn.manpages 1970-01-01 00:00:00 +0000
278+++ debian/heat-api-cfn.manpages 2013-06-10 18:48:25 +0000
279@@ -0,0 +1,1 @@
280+build/sphinx/man/heat-api-cfn.1
281
282=== removed file 'debian/heat-api-cfn.manpages'
283--- debian/heat-api-cfn.manpages 2013-05-29 17:36:41 +0000
284+++ debian/heat-api-cfn.manpages 1970-01-01 00:00:00 +0000
285@@ -1,1 +0,0 @@
286-doc/build/man/heat-api-cfn.1
287
288=== removed file 'debian/heat-api-cfn.postinst.in'
289--- debian/heat-api-cfn.postinst.in 2013-05-29 17:36:41 +0000
290+++ debian/heat-api-cfn.postinst.in 1970-01-01 00:00:00 +0000
291@@ -1,20 +0,0 @@
292-#!/bin/sh
293-
294-set -e
295-
296-ETC=/etc/heat
297-
298-#PKGOS-INCLUDE#
299-
300-if [ "$1" = "configure" ] ; then
301- . /usr/share/debconf/confmodule
302- pkgos_var_user_group heat
303- pkgos_write_new_conf heat heat-api-cfn-paste.ini
304- pkgos_write_admin_creds /etc/heat/heat-api-cfn-paste.ini filter:authtoken heat
305- chown -R heat:adm /var/log/heat
306- chmod 0750 /var/log/heat
307-fi
308-
309-#DEBHELPER#
310-
311-exit 0
312
313=== removed file 'debian/heat-api-cfn.templates'
314--- debian/heat-api-cfn.templates 2013-05-29 17:36:41 +0000
315+++ debian/heat-api-cfn.templates 1970-01-01 00:00:00 +0000
316@@ -1,20 +0,0 @@
317-Template: heat/auth-host
318-Type: string
319-Default: 127.0.0.1
320-_Description: Auth server hostname:
321- Please specify the URL of your authentication server. Typically this is also
322- the URL of your OpenStack Identity Service (Keystone).
323-
324-Template: heat/admin-tenant-name
325-Type: string
326-Default: admin
327-_Description: Auth server tenant name:
328-
329-Template: heat/admin-user
330-Type: string
331-Default: admin
332-_Description: Auth server username:
333-
334-Template: heat/admin-password
335-Type: password
336-_Description: Auth server password:
337
338=== added file 'debian/heat-api-cfn.upstart'
339--- debian/heat-api-cfn.upstart 1970-01-01 00:00:00 +0000
340+++ debian/heat-api-cfn.upstart 2013-06-10 18:48:25 +0000
341@@ -0,0 +1,11 @@
342+description "Heat API CFN server'
343+author "Chuck Short <zulcss@ubuntu.com>"
344+
345+start on runevel [2345]
346+stop on runlevel [!2345]
347+
348+respawn
349+
350+exec start-stop-daemon --start --chuid heat \
351+ --chdir /var/lib/heat --name heat \
352+ --exec /usr/bin/heat-api-cfn
353
354=== removed file 'debian/heat-api-cloudwatch.config.in'
355--- debian/heat-api-cloudwatch.config.in 2013-05-29 17:36:41 +0000
356+++ debian/heat-api-cloudwatch.config.in 1970-01-01 00:00:00 +0000
357@@ -1,14 +0,0 @@
358-#!/bin/sh
359-
360-set -e
361-
362-. /usr/share/debconf/confmodule
363-
364-APIPASTE_CONF=/etc/heat/heat-api-cloudwatch-paste.ini
365-
366-#PKGOS-INCLUDE#
367-
368-pkgos_var_user_group heat
369-pkgos_read_admin_creds ${APIPASTE_CONF} filter:authtoken heat
370-
371-exit 0
372
373=== removed file 'debian/heat-api-cloudwatch.init'
374--- debian/heat-api-cloudwatch.init 2013-05-29 17:36:41 +0000
375+++ debian/heat-api-cloudwatch.init 1970-01-01 00:00:00 +0000
376@@ -1,87 +0,0 @@
377-#!/bin/sh
378-### BEGIN INIT INFO
379-# Provides: heat-api-cloudwatch
380-# Required-Start: $network $local_fs $remote_fs $syslog
381-# Required-Stop: $remote_fs
382-# Default-Start: 2 3 4 5
383-# Default-Stop: 0 1 6
384-# Short-Description: Heat cloudwatch API
385-# Description: Heat cloudwatch API server
386-### END INIT INFO
387-
388-# Author: Thomas Goirand <zigo@debian.or>
389-
390-# PATH should only include /usr/* if it runs after the mountnfs.sh script
391-PATH=/sbin:/usr/sbin:/bin:/usr/bin
392-DESC="Heat API"
393-NAME=heat-api-cloudwatch
394-DAEMON=/usr/bin/heat-api-cloudwatch
395-PIDFILE=/var/run/$NAME.pid
396-SCRIPTNAME=/etc/init.d/$NAME
397-SYSTEM_USER=heat
398-
399-# Exit if the package is not installed
400-[ -x $DAEMON ] || exit 0
401-
402-. /lib/lsb/init-functions
403-
404-if [ ! -e /var/log/heat ] ; then
405- mkdir -p /var/log/heat
406- chown ${SYSTEM_USER} /var/log/heat
407-fi
408-
409-do_start () {
410- start-stop-daemon --start --background --quiet --chuid ${SYSTEM_USER}:${SYSTEM_USER} --make-pidfile --pidfile $PIDFILE --startas $DAEMON --test > /dev/null || return 1
411- start-stop-daemon --start --background --quiet --chuid ${SYSTEM_USER}:${SYSTEM_USER} --make-pidfile --pidfile $PIDFILE --startas $DAEMON || return 2
412-}
413-
414-do_stop () {
415- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
416- RETVAL="$?"
417- rm -f $PIDFILE
418- return "$RETVAL"
419-}
420-
421-case "$1" in
422- start)
423- log_daemon_msg "Starting $DESC" "$NAME"
424- do_start
425- case "$?" in
426- 0|1) log_end_msg 0 ;;
427- 2) log_end_msg 1 ;;
428- esac
429- ;;
430- stop)
431- log_daemon_msg "Stopping $DESC" "$NAME"
432- do_stop
433- case "$?" in
434- 0|1) log_end_msg 0 ;;
435- 2) log_end_msg 1 ;;
436- esac
437- ;;
438- status)
439- status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
440- ;;
441- restart|force-reload)
442- log_daemon_msg "Restarting $DESC" "$NAME"
443- do_stop
444- case "$?" in
445- 0|1)
446- do_start
447- case "$?" in
448- 0) log_end_msg 0 ;;
449- 1) log_end_msg 1 ;; # Old process is still running
450- *) log_end_msg 1 ;; # Failed to start
451- esac
452- ;;
453- *)
454- # Failed to stop
455- log_end_msg 1
456- ;;
457- esac
458- ;;
459- *)
460- echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
461- exit 3
462- ;;
463-esac
464
465=== modified file 'debian/heat-api-cloudwatch.install'
466--- debian/heat-api-cloudwatch.install 2013-05-29 17:36:41 +0000
467+++ debian/heat-api-cloudwatch.install 2013-06-10 18:48:25 +0000
468@@ -1,3 +1,2 @@
469-etc/heat/heat-api-cloudwatch.conf
470-etc/heat/heat-api-cloudwatch-paste.ini /usr/share/heat-api-cloudwatch
471+etc/heat/heat-api-cloudwatch.conf etc/heat
472 /usr/bin/heat-api-cloudwatch
473
474=== added file 'debian/heat-api-cloudwatch.manpages'
475--- debian/heat-api-cloudwatch.manpages 1970-01-01 00:00:00 +0000
476+++ debian/heat-api-cloudwatch.manpages 2013-06-10 18:48:25 +0000
477@@ -0,0 +1,1 @@
478+build/sphinx/man/heat-api-cloudwatch.1
479
480=== removed file 'debian/heat-api-cloudwatch.manpages'
481--- debian/heat-api-cloudwatch.manpages 2013-05-29 17:36:41 +0000
482+++ debian/heat-api-cloudwatch.manpages 1970-01-01 00:00:00 +0000
483@@ -1,1 +0,0 @@
484-doc/build/man/heat-api-cloudwatch.1
485
486=== removed file 'debian/heat-api-cloudwatch.postinst.in'
487--- debian/heat-api-cloudwatch.postinst.in 2013-05-29 17:36:41 +0000
488+++ debian/heat-api-cloudwatch.postinst.in 1970-01-01 00:00:00 +0000
489@@ -1,20 +0,0 @@
490-#!/bin/sh
491-
492-set -e
493-
494-ETC=/etc/heat
495-
496-#PKGOS-INCLUDE#
497-
498-if [ "$1" = "configure" ] ; then
499- . /usr/share/debconf/confmodule
500- pkgos_var_user_group heat
501- pkgos_write_new_conf heat heat-api-cloudwatch-paste.ini
502- pkgos_write_admin_creds /etc/heat/heat-api-cloudwatch-paste.ini filter:authtoken heat
503- chown -R heat:adm /var/log/heat
504- chmod 0750 /var/log/heat
505-fi
506-
507-#DEBHELPER#
508-
509-exit 0
510
511=== removed file 'debian/heat-api-cloudwatch.templates'
512--- debian/heat-api-cloudwatch.templates 2013-05-29 17:36:41 +0000
513+++ debian/heat-api-cloudwatch.templates 1970-01-01 00:00:00 +0000
514@@ -1,20 +0,0 @@
515-Template: heat/auth-host
516-Type: string
517-Default: 127.0.0.1
518-_Description: Auth server hostname:
519- Please specify the URL of your authentication server. Typically
520- this is also the URL of your OpenStack Identity Service (Keystone).
521-
522-Template: heat/admin-tenant-name
523-Type: string
524-Default: admin
525-_Description: Auth server tenant name:
526-
527-Template: heat/admin-user
528-Type: string
529-Default: admin
530-_Description: Auth server username:
531-
532-Template: heat/admin-password
533-Type: password
534-_Description: Auth server password:
535
536=== added file 'debian/heat-api-cloudwatch.upstart'
537--- debian/heat-api-cloudwatch.upstart 1970-01-01 00:00:00 +0000
538+++ debian/heat-api-cloudwatch.upstart 2013-06-10 18:48:25 +0000
539@@ -0,0 +1,11 @@
540+description "Heat API cloudwatch server'
541+author "Chuck Short <zulcss@ubuntu.com>"
542+
543+start on runevel [2345]
544+stop on runlevel [!2345]
545+
546+respawn
547+
548+exec start-stop-daemon --start --chuid heat \
549+ --chdir /var/lib/heat --name heat \
550+ --exec /usr/bin/heat-api-cloudwatch
551
552=== removed file 'debian/heat-api.config.in'
553--- debian/heat-api.config.in 2013-05-29 17:36:41 +0000
554+++ debian/heat-api.config.in 1970-01-01 00:00:00 +0000
555@@ -1,16 +0,0 @@
556-#!/bin/sh
557-
558-set -e
559-
560-. /usr/share/debconf/confmodule
561-
562-API_CONF=/etc/heat/heat-api.conf
563-APIPASTE_CONF=/etc/heat/heat-api-paste.ini
564-
565-#PKGOS-INCLUDE#
566-
567-pkgos_var_user_group heat
568-pkgos_read_admin_creds ${APIPASTE_CONF} filter:authtoken heat
569-pkgos_register_endpoint_config heat
570-
571-exit 0
572
573=== removed file 'debian/heat-api.init'
574--- debian/heat-api.init 2013-05-29 17:36:41 +0000
575+++ debian/heat-api.init 1970-01-01 00:00:00 +0000
576@@ -1,87 +0,0 @@
577-#!/bin/sh
578-### BEGIN INIT INFO
579-# Provides: heat-api
580-# Required-Start: $network $local_fs $remote_fs $syslog
581-# Required-Stop: $remote_fs
582-# Default-Start: 2 3 4 5
583-# Default-Stop: 0 1 6
584-# Short-Description: Heat API
585-# Description: Heat API server
586-### END INIT INFO
587-
588-# Author: Thomas Goirand <zigo@debian.or>
589-
590-# PATH should only include /usr/* if it runs after the mountnfs.sh script
591-PATH=/sbin:/usr/sbin:/bin:/usr/bin
592-DESC="Heat API"
593-NAME=heat-api
594-DAEMON=/usr/bin/heat-api
595-PIDFILE=/var/run/$NAME.pid
596-SCRIPTNAME=/etc/init.d/$NAME
597-SYSTEM_USER=heat
598-
599-# Exit if the package is not installed
600-[ -x $DAEMON ] || exit 0
601-
602-. /lib/lsb/init-functions
603-
604-if [ ! -e /var/log/heat ] ; then
605- mkdir -p /var/log/heat
606- chown ${SYSTEM_USER} /var/log/heat
607-fi
608-
609-do_start () {
610- start-stop-daemon --start --background --quiet --chuid ${SYSTEM_USER}:${SYSTEM_USER} --make-pidfile --pidfile $PIDFILE --startas $DAEMON --test > /dev/null || return 1
611- start-stop-daemon --start --background --quiet --chuid ${SYSTEM_USER}:${SYSTEM_USER} --make-pidfile --pidfile $PIDFILE --startas $DAEMON || return 2
612-}
613-
614-do_stop () {
615- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
616- RETVAL="$?"
617- rm -f $PIDFILE
618- return "$RETVAL"
619-}
620-
621-case "$1" in
622- start)
623- log_daemon_msg "Starting $DESC" "$NAME"
624- do_start
625- case "$?" in
626- 0|1) log_end_msg 0 ;;
627- 2) log_end_msg 1 ;;
628- esac
629- ;;
630- stop)
631- log_daemon_msg "Stopping $DESC" "$NAME"
632- do_stop
633- case "$?" in
634- 0|1) log_end_msg 0 ;;
635- 2) log_end_msg 1 ;;
636- esac
637- ;;
638- status)
639- status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
640- ;;
641- restart|force-reload)
642- log_daemon_msg "Restarting $DESC" "$NAME"
643- do_stop
644- case "$?" in
645- 0|1)
646- do_start
647- case "$?" in
648- 0) log_end_msg 0 ;;
649- 1) log_end_msg 1 ;; # Old process is still running
650- *) log_end_msg 1 ;; # Failed to start
651- esac
652- ;;
653- *)
654- # Failed to stop
655- log_end_msg 1
656- ;;
657- esac
658- ;;
659- *)
660- echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
661- exit 3
662- ;;
663-esac
664
665=== modified file 'debian/heat-api.install'
666--- debian/heat-api.install 2013-05-29 17:36:41 +0000
667+++ debian/heat-api.install 2013-06-10 18:48:25 +0000
668@@ -1,3 +1,2 @@
669 usr/bin/heat-api
670 etc/heat/heat-api.conf
671-etc/heat/heat-api-paste.ini /usr/share/heat-api
672
673=== added file 'debian/heat-api.manpages'
674--- debian/heat-api.manpages 1970-01-01 00:00:00 +0000
675+++ debian/heat-api.manpages 2013-06-10 18:48:25 +0000
676@@ -0,0 +1,1 @@
677+build/sphinx/man/heat-api.1
678
679=== removed file 'debian/heat-api.manpages'
680--- debian/heat-api.manpages 2013-05-29 17:36:41 +0000
681+++ debian/heat-api.manpages 1970-01-01 00:00:00 +0000
682@@ -1,1 +0,0 @@
683-doc/build/man/heat-api.1
684
685=== removed file 'debian/heat-api.postinst.in'
686--- debian/heat-api.postinst.in 2013-05-29 17:36:41 +0000
687+++ debian/heat-api.postinst.in 1970-01-01 00:00:00 +0000
688@@ -1,25 +0,0 @@
689-#!/bin/sh
690-
691-set -e
692-
693-ETC=/etc/heat
694-
695-#PKGOS-INCLUDE#
696-
697-if [ "$1" = "configure" ] ; then
698- . /usr/share/debconf/confmodule
699-
700- pkgos_var_user_group heat
701-
702- pkgos_write_new_conf heat heat-api-paste.ini
703- pkgos_write_admin_creds /etc/heat/heat-api-paste.ini filter:authtoken heat
704-
705- pkgos_register_endpoint_postinst heat heat orchestration "Heat Orchestration API" 8004 /v1/'%(tenant_id)s'
706-
707- chown -R heat:adm /var/log/heat
708- chmod 0750 /var/log/heat
709-fi
710-
711-#DEBHELPER#
712-
713-exit 0
714
715=== removed file 'debian/heat-api.templates'
716--- debian/heat-api.templates 2013-05-29 17:36:41 +0000
717+++ debian/heat-api.templates 1970-01-01 00:00:00 +0000
718@@ -1,61 +0,0 @@
719-Template: heat/auth-host
720-Type: string
721-Default: 127.0.0.1
722-_Description: Auth server hostname:
723- Please specify the URL of your authentication server. Typically this is also
724- the URL of your OpenStack Identity Service (Keystone).
725-
726-Template: heat/admin-tenant-name
727-Type: string
728-Default: admin
729-_Description: Auth server tenant name:
730-
731-Template: heat/admin-user
732-Type: string
733-Default: admin
734-_Description: Auth server username:
735-
736-Template: heat/admin-password
737-Type: password
738-_Description: Auth server password:
739-
740-Template: heat/register-endpoint
741-Type: boolean
742-Default: false
743-_Description: Register Heat in the keystone endpoint catalog?
744- Each Openstack services (each API) should be registered in order to be
745- accessible. This is done using "keystone service-create" and "keystone
746- endpoint-create". Select if you want to run these commands now.
747- .
748- Note that you will need to have an up and running keystone server on which to
749- connect using the Keystone auth token.
750-
751-Template: heat/keystone-ip
752-Type: string
753-_Description: Keystone IP address:
754- Enter the IP address of your keystone server, so that heat-api can
755- contact Keystone to do the Heat service and endpoint creation.
756-
757-Template: heat/keystone-auth-token
758-Type: password
759-_Description: Keystone Auth Token:
760- To configure its endpoint in Keystone, heat-api needs the Keystone auth
761- token.
762-
763-Template: heat/endpoint-ip
764-Type: string
765-_Description: Heat endpoint IP address:
766- Enter the IP address that will be used to contact Heat (eg: the Heat
767- endpoint IP address).
768- .
769- This IP address should be accessible from the clients that will use this
770- service, so if you are installing a public cloud, this should be a public
771- IP address.
772-
773-Template: heat/region-name
774-Type: string
775-Default: regionOne
776-_Description: Name of the region to register:
777- Openstack can be used using availability zones, with each region representing
778- a location. Please enter the zone that you wish to use when registering the
779- endpoint.
780
781=== added file 'debian/heat-api.upstart'
782--- debian/heat-api.upstart 1970-01-01 00:00:00 +0000
783+++ debian/heat-api.upstart 2013-06-10 18:48:25 +0000
784@@ -0,0 +1,11 @@
785+description "Heat enginge server'
786+author "Chuck Short <zulcss@ubuntu.com>"
787+
788+start on runevel [2345]
789+stop on runlevel [!2345]
790+
791+respawn
792+
793+exec start-stop-daemon --start --chuid heat \
794+ --chdir /var/lib/heat --name heat \
795+ --exec /usr/bin/heat-enginge
796
797=== added file 'debian/heat-common.dirs'
798--- debian/heat-common.dirs 1970-01-01 00:00:00 +0000
799+++ debian/heat-common.dirs 2013-06-10 18:48:25 +0000
800@@ -0,0 +1,3 @@
801+etc/heat
802+var/lib/heat
803+var/log/heat
804
805=== modified file 'debian/heat-common.install'
806--- debian/heat-common.install 2013-05-29 17:36:41 +0000
807+++ debian/heat-common.install 2013-06-10 18:48:25 +0000
808@@ -1,3 +1,10 @@
809+etc/boto.cfg etc/heat
810+etc/heat/api-paste.ini etc/heat
811+etc/heat/policy.json etc/heat
812 /usr/bin/heat-cfn
813 /usr/bin/heat-boto
814 /usr/bin/heat-watch
815+/usr/bin/heat-db-setup
816+/usr/bin/cinder-keystone-setup
817+/usr/bin/heat-keystone-setup
818+/usr/bin/heat-manage
819
820=== added file 'debian/heat-common.manpages'
821--- debian/heat-common.manpages 1970-01-01 00:00:00 +0000
822+++ debian/heat-common.manpages 2013-06-10 18:48:25 +0000
823@@ -0,0 +1,4 @@
824+build/sphinx/man/heat-boto.1
825+build/sphinx/man/heat-db-setup.1
826+build/sphinx/man/heat-watch.1
827+build/sphinx/man/heat-keystone-setup.1
828
829=== removed file 'debian/heat-common.manpages'
830--- debian/heat-common.manpages 2013-05-29 17:36:41 +0000
831+++ debian/heat-common.manpages 1970-01-01 00:00:00 +0000
832@@ -1,1 +0,0 @@
833-doc/build/man/heat-cfn.1
834
835=== added file 'debian/heat-common.postinst'
836--- debian/heat-common.postinst 1970-01-01 00:00:00 +0000
837+++ debian/heat-common.postinst 2013-06-10 18:48:25 +0000
838@@ -0,0 +1,22 @@
839+#!/bin/sh -e
840+
841+if [ "$1" = "configure" ]; then
842+ if !getent group heat > /dev/null 2>&1; then
843+ addgroup --system heat >/dev/null
844+ fi
845+
846+ if ! getent passwd heat > /dev/null 2>&1; then
847+ adduser --system head --home /var/lib/heat --ingroup heat --no-create-home \
848+ -shell /bin/false head
849+ fi
850+
851+ if [ "$(id -gn nova)" = "nogroup" ]; then
852+ usermod -g heat heat
853+ fi
854+
855+ chown -R heat:heat /etc/heat
856+ chown -R heat:adm /var/log/heat
857+ chown -R heat:heat /var/lib/heat
858+fi
859+
860+#DEBEHELPER#
861
862=== removed file 'debian/heat-common.postinst.in'
863--- debian/heat-common.postinst.in 2013-05-29 17:36:41 +0000
864+++ debian/heat-common.postinst.in 1970-01-01 00:00:00 +0000
865@@ -1,18 +0,0 @@
866-#!/bin/sh
867-
868-set -e
869-
870-ETC=/etc/heat
871-
872-#PKGOS-INCLUDE#
873-
874-if [ "$1" = "configure" ] ; then
875- pkgos_var_user_group heat
876- chown -R heat:adm /var/log/heat
877- chmod 0750 /var/log/heat
878- mkdir -p /etc/heat
879- mkdir -p /var/lib/heat
880- chown heat:heat -R /var/lib/heat /etc/heat
881-fi
882-
883-#DEBHELPER#
884
885=== removed file 'debian/heat-engine.config.in'
886--- debian/heat-engine.config.in 2013-05-29 17:36:41 +0000
887+++ debian/heat-engine.config.in 1970-01-01 00:00:00 +0000
888@@ -1,14 +0,0 @@
889-#!/bin/sh
890-
891-set -e
892-
893-. /usr/share/debconf/confmodule
894-
895-CONF=/etc/heat/heat-engine.conf
896-
897-#PKGOS-INCLUDE#
898-
899-pkgos_var_user_group heat
900-pkgos_dbc_read_conf -pkg heat-engine ${CONF} DEFAULT sql_connection heat $@
901-
902-exit 0
903
904=== removed file 'debian/heat-engine.init'
905--- debian/heat-engine.init 2013-05-29 17:36:41 +0000
906+++ debian/heat-engine.init 1970-01-01 00:00:00 +0000
907@@ -1,87 +0,0 @@
908-#!/bin/sh
909-### BEGIN INIT INFO
910-# Provides: heat-engine
911-# Required-Start: $network $local_fs $remote_fs $syslog
912-# Required-Stop: $remote_fs
913-# Default-Start: 2 3 4 5
914-# Default-Stop: 0 1 6
915-# Short-Description: Heat Engine
916-# Description: Heat Engine server
917-### END INIT INFO
918-
919-# Author: Thomas Goirand <zigo@debian.or>
920-
921-# PATH should only include /usr/* if it runs after the mountnfs.sh script
922-PATH=/sbin:/usr/sbin:/bin:/usr/bin
923-DESC="Heat Engine"
924-NAME=heat-engine
925-DAEMON=/usr/bin/heat-engine
926-PIDFILE=/var/run/$NAME.pid
927-SCRIPTNAME=/etc/init.d/$NAME
928-SYSTEM_USER=heat
929-
930-# Exit if the package is not installed
931-[ -x $DAEMON ] || exit 0
932-
933-. /lib/lsb/init-functions
934-
935-if [ ! -e /var/log/heat ] ; then
936- mkdir -p /var/log/heat
937- chown ${SYSTEM_USER} /var/log/heat
938-fi
939-
940-do_start () {
941- start-stop-daemon --start --background --quiet --chuid ${SYSTEM_USER}:${SYSTEM_USER} --make-pidfile --pidfile $PIDFILE --startas $DAEMON --test > /dev/null || return 1
942- start-stop-daemon --start --background --quiet --chuid ${SYSTEM_USER}:${SYSTEM_USER} --make-pidfile --pidfile $PIDFILE --startas $DAEMON || return 2
943-}
944-
945-do_stop () {
946- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
947- RETVAL="$?"
948- rm -f $PIDFILE
949- return "$RETVAL"
950-}
951-
952-case "$1" in
953- start)
954- log_daemon_msg "Starting $DESC" "$NAME"
955- do_start
956- case "$?" in
957- 0|1) log_end_msg 0 ;;
958- 2) log_end_msg 1 ;;
959- esac
960- ;;
961- stop)
962- log_daemon_msg "Stopping $DESC" "$NAME"
963- do_stop
964- case "$?" in
965- 0|1) log_end_msg 0 ;;
966- 2) log_end_msg 1 ;;
967- esac
968- ;;
969- status)
970- status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
971- ;;
972- restart|force-reload)
973- log_daemon_msg "Restarting $DESC" "$NAME"
974- do_stop
975- case "$?" in
976- 0|1)
977- do_start
978- case "$?" in
979- 0) log_end_msg 0 ;;
980- 1) log_end_msg 1 ;; # Old process is still running
981- *) log_end_msg 1 ;; # Failed to start
982- esac
983- ;;
984- *)
985- # Failed to stop
986- log_end_msg 1
987- ;;
988- esac
989- ;;
990- *)
991- echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
992- exit 3
993- ;;
994-esac
995
996=== modified file 'debian/heat-engine.install'
997--- debian/heat-engine.install 2013-05-29 17:36:41 +0000
998+++ debian/heat-engine.install 2013-06-10 18:48:25 +0000
999@@ -1,2 +1,2 @@
1000-etc/heat/heat-engine.conf /usr/share/heat-engine
1001+etc/heat/heat-engine.conf etc/heat
1002 usr/bin/heat-engine
1003
1004=== added file 'debian/heat-engine.manpages'
1005--- debian/heat-engine.manpages 1970-01-01 00:00:00 +0000
1006+++ debian/heat-engine.manpages 2013-06-10 18:48:25 +0000
1007@@ -0,0 +1,1 @@
1008+build/sphinx/man/heat-engine.1
1009
1010=== removed file 'debian/heat-engine.manpages'
1011--- debian/heat-engine.manpages 2013-05-29 17:36:41 +0000
1012+++ debian/heat-engine.manpages 1970-01-01 00:00:00 +0000
1013@@ -1,1 +0,0 @@
1014-doc/build/man/heat-engine.1
1015
1016=== removed file 'debian/heat-engine.postinst.in'
1017--- debian/heat-engine.postinst.in 2013-05-29 17:36:41 +0000
1018+++ debian/heat-engine.postinst.in 1970-01-01 00:00:00 +0000
1019@@ -1,23 +0,0 @@
1020-#!/bin/sh
1021-
1022-set -e
1023-
1024-CONF=/etc/heat/heat-engine.conf
1025-
1026-#PKGOS-INCLUDE#
1027-
1028-if [ "$1" = "configure" ] ; then
1029- . /usr/share/debconf/confmodule
1030- . /usr/share/dbconfig-common/dpkg/postinst
1031-
1032- pkgos_var_user_group heat
1033- pkgos_write_new_conf heat heat-engine.conf
1034- pkgos_dbc_postinst ${CONF} DEFAULT sql_connection heat $@
1035-
1036- # This is the equivalent of db-sync:
1037- su heat -c "python -m heat.db.sync"
1038-fi
1039-
1040-#DEBHELPER#
1041-
1042-exit 0
1043
1044=== removed file 'debian/heat-engine.templates'
1045--- debian/heat-engine.templates 2013-05-29 17:36:41 +0000
1046+++ debian/heat-engine.templates 1970-01-01 00:00:00 +0000
1047@@ -1,17 +0,0 @@
1048-Template: heat/configure_db
1049-Type: boolean
1050-Default: true
1051-_Description: Set up a database for heat-engine?
1052- No database has been set up for heat-engine to use. Before continuing, you
1053- should make sure you have:
1054- .
1055- - the server host name (that server must allow TCP connections from this
1056- machine);
1057- - a username and password to access the database.
1058- - A database type that you want to use.
1059- .
1060- If some of these requirements are missing, reject this option and run with
1061- regular sqlite support.
1062- .
1063- You can change this setting later on by running 'dpkg-reconfigure -plow
1064- heat-engine'.
1065
1066=== added file 'debian/heat-engine.upstart'
1067--- debian/heat-engine.upstart 1970-01-01 00:00:00 +0000
1068+++ debian/heat-engine.upstart 2013-06-10 18:48:25 +0000
1069@@ -0,0 +1,11 @@
1070+description "Heat API server'
1071+author "Chuck Short <zulcss@ubuntu.com>"
1072+
1073+start on runevel [2345]
1074+stop on runlevel [!2345]
1075+
1076+respawn
1077+
1078+exec start-stop-daemon --start --chuid heat \
1079+ --chdir /var/lib/heat --name heat \
1080+ --exec /usr/bin/heat-api
1081
1082=== removed file 'debian/patches/fix-package-version-detection-when-building-doc.patch'
1083--- debian/patches/fix-package-version-detection-when-building-doc.patch 2013-05-29 17:36:41 +0000
1084+++ debian/patches/fix-package-version-detection-when-building-doc.patch 1970-01-01 00:00:00 +0000
1085@@ -1,27 +0,0 @@
1086-Description: Fixes version detection when building docs
1087-Author: Thomas Goirand <zigo@debian.org>
1088-Forwarded: no
1089-Last-Update: 2013-05-16
1090-
1091-Index: heat/heat/openstack/common/version.py
1092-===================================================================
1093---- heat.orig/heat/openstack/common/version.py 2013-05-16 14:07:08.000000000 +0000
1094-+++ heat/heat/openstack/common/version.py 2013-05-16 14:07:08.000000000 +0000
1095-@@ -19,6 +19,7 @@
1096- """
1097-
1098- import pkg_resources
1099-+import os
1100-
1101-
1102- class VersionInfo(object):
1103-@@ -54,6 +55,9 @@
1104- if self.release is None:
1105- self.release = self._get_version_from_pkg_resources()
1106-
1107-+ if self.release is None:
1108-+ self.release = os.environ.get("OSLO_PACKAGE_VERSION", None)
1109-+
1110- return self.release
1111-
1112- def version_string(self):
1113
1114=== added file 'debian/patches/fix-ubuntu-configuration.patch'
1115--- debian/patches/fix-ubuntu-configuration.patch 1970-01-01 00:00:00 +0000
1116+++ debian/patches/fix-ubuntu-configuration.patch 2013-06-10 18:48:25 +0000
1117@@ -0,0 +1,47 @@
1118+diff -Naurp heat-2013.2.a50.g9f40fa3.orig/etc/heat/heat-api-cfn.conf heat-2013.2.a50.g9f40fa3/etc/heat/heat-api-cfn.conf
1119+--- heat-2013.2.a50.g9f40fa3.orig/etc/heat/heat-api-cfn.conf 2013-06-10 09:46:38.000000000 -0500
1120++++ heat-2013.2.a50.g9f40fa3/etc/heat/heat-api-cfn.conf 2013-06-10 11:59:55.777608447 -0500
1121+@@ -27,7 +27,7 @@ use_syslog = False
1122+ # Facility to use. If unset defaults to LOG_USER.
1123+ # syslog_log_facility = LOG_LOCAL0
1124+
1125+-rpc_backend=heat.openstack.common.rpc.impl_qpid
1126++rpc_backend=heat.openstack.common.rpc.impl_kombu
1127+
1128+ [keystone_authtoken]
1129+ auth_host = 127.0.0.1
1130+diff -Naurp heat-2013.2.a50.g9f40fa3.orig/etc/heat/heat-api-cloudwatch.conf heat-2013.2.a50.g9f40fa3/etc/heat/heat-api-cloudwatch.conf
1131+--- heat-2013.2.a50.g9f40fa3.orig/etc/heat/heat-api-cloudwatch.conf 2013-06-10 09:46:38.000000000 -0500
1132++++ heat-2013.2.a50.g9f40fa3/etc/heat/heat-api-cloudwatch.conf 2013-06-10 11:59:45.053608191 -0500
1133+@@ -25,7 +25,7 @@ bind_host = 0.0.0.0
1134+ # Port the bind the server to
1135+ bind_port = 8003
1136+
1137+-rpc_backend=heat.openstack.common.rpc.impl_qpid
1138++rpc_backend=heat.openstack.common.rpc.impl_kombu
1139+
1140+ [keystone_authtoken]
1141+ auth_host = 127.0.0.1
1142+diff -Naurp heat-2013.2.a50.g9f40fa3.orig/etc/heat/heat-api.conf heat-2013.2.a50.g9f40fa3/etc/heat/heat-api.conf
1143+--- heat-2013.2.a50.g9f40fa3.orig/etc/heat/heat-api.conf 2013-06-10 09:46:38.000000000 -0500
1144++++ heat-2013.2.a50.g9f40fa3/etc/heat/heat-api.conf 2013-06-10 12:00:03.989608643 -0500
1145+@@ -25,7 +25,7 @@ bind_host = 0.0.0.0
1146+ # Port the bind the server to
1147+ bind_port = 8004
1148+
1149+-rpc_backend=heat.openstack.common.rpc.impl_qpid
1150++rpc_backend=heat.openstack.common.rpc.impl_kombu
1151+
1152+
1153+
1154+diff -Naurp heat-2013.2.a50.g9f40fa3.orig/etc/heat/heat-engine.conf heat-2013.2.a50.g9f40fa3/etc/heat/heat-engine.conf
1155+--- heat-2013.2.a50.g9f40fa3.orig/etc/heat/heat-engine.conf 2013-06-10 09:46:38.000000000 -0500
1156++++ heat-2013.2.a50.g9f40fa3/etc/heat/heat-engine.conf 2013-06-10 11:59:26.749607755 -0500
1157+@@ -67,6 +67,6 @@ sql_connection = mysql://heat:heat@local
1158+
1159+ db_backend=heat.db.sqlalchemy.api
1160+
1161+-rpc_backend=heat.openstack.common.rpc.impl_qpid
1162++rpc_backend=heat.openstack.common.rpc.impl_kombu
1163+
1164+ auth_encryption_key=%ENCRYPTION_KEY%
1165
1166=== removed file 'debian/patches/removes-lxml-version-limitation-from-pip-requires.patch'
1167--- debian/patches/removes-lxml-version-limitation-from-pip-requires.patch 2013-05-29 17:36:41 +0000
1168+++ debian/patches/removes-lxml-version-limitation-from-pip-requires.patch 1970-01-01 00:00:00 +0000
1169@@ -1,18 +0,0 @@
1170-Description: Removes <= 2.3.5 from lxml pip-requires
1171- Warn upstream on IRC about this, they said it's no problem to remove the
1172- version thing, and they will remove it upstream.
1173-Author: Thomas Goirand <zigo@debian.org>
1174-Forwarded: no
1175-Last-Update: 2013-05-16
1176-
1177---- heat-2013.1.orig/tools/pip-requires
1178-+++ heat-2013.1/tools/pip-requires
1179-@@ -17,7 +17,7 @@ httplib2
1180- iso8601>=0.1.4
1181- kombu>=1.0.4
1182- argparse
1183--lxml>=2.3,<=2.3.5
1184-+lxml>=2.3
1185- sqlalchemy-migrate>=0.7.2
1186- python-novaclient
1187- PasteDeploy==1.5.0
1188
1189=== modified file 'debian/patches/series'
1190--- debian/patches/series 2013-05-29 17:36:41 +0000
1191+++ debian/patches/series 2013-06-10 18:48:25 +0000
1192@@ -1,2 +1,1 @@
1193-removes-lxml-version-limitation-from-pip-requires.patch
1194-fix-package-version-detection-when-building-doc.patch
1195+fix-ubuntu-configuration.patch
1196
1197=== added file 'debian/pydist-overrides'
1198--- debian/pydist-overrides 1970-01-01 00:00:00 +0000
1199+++ debian/pydist-overrides 2013-06-10 18:48:25 +0000
1200@@ -0,0 +1,1 @@
1201+argparse
1202
1203=== modified file 'debian/rules'
1204--- debian/rules 2013-05-29 17:36:41 +0000
1205+++ debian/rules 2013-06-10 18:48:25 +0000
1206@@ -2,16 +2,12 @@
1207
1208 #export DH_VERBOSE=1
1209
1210-include /usr/share/openstack-pkg-tools/pkgos.make
1211-
1212-export OSLO_PACKAGE_VERSION=$(VERSION)
1213-
1214 %:
1215 dh $@ --with python2
1216
1217 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
1218 override_dh_auto_test:
1219- ./run_tests.sh -u
1220+ testr init && testr run
1221 endif
1222
1223
1224@@ -20,38 +16,13 @@
1225 rm -rf heat.egg-info
1226 rm -rf doc/build
1227 find . -iname '*.pyc' -delete
1228- rm -f \
1229- debian/heat-api-cfn.config \
1230- debian/heat-api-cfn.postinst \
1231- debian/heat-api-cloudwatch.config \
1232- debian/heat-api-cloudwatch.postinst \
1233- debian/heat-api.config \
1234- debian/heat-api.postinst \
1235- debian/heat-common.postinst \
1236- debian/heat-engine.config \
1237- debian/heat-engine.postinst
1238
1239 override_dh_install:
1240 dh_install
1241- sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-engine/usr/share/heat-engine/heat-engine.conf
1242- sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api-cloudwatch/etc/heat/heat-api-cloudwatch.conf
1243- sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api-cfn/etc/heat/heat-api-cfn.conf
1244- sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api/etc/heat/heat-api.conf
1245
1246 override_dh_auto_build:
1247 dh_auto_build
1248- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
1249- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.config
1250- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.postinst
1251- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cloudwatch.config
1252- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cloudwatch.postinst
1253- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.config
1254- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.postinst
1255- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
1256- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-engine.config
1257- /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-engine.postinst
1258+ python setup.py build_sphinx
1259
1260 override_dh_installman:
1261- python setup.py build
1262- make -C doc man
1263- dh_installman
1264+ python setup.py build_sphinx
1265
1266=== modified file 'debian/watch'
1267--- debian/watch 2013-05-29 17:36:41 +0000
1268+++ debian/watch 2013-06-10 18:48:25 +0000
1269@@ -1,2 +1,4 @@
1270 version=3
1271-https://github.com/openstack/heat/tags .*/(\d[\d\.]+)\.tar\.gz
1272+opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
1273+ https://launchpad.net/heat/+download https://launchpad.net/heat/.*/.*/.*/heat-(.*)\.tar\.gz
1274+

Subscribers

People subscribed via source and target branches